package com.example.duonachi.activity;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

import com.example.duonachi.R;

public class MainActivity extends AppCompatActivity {

    private Button ToIdentifyButton;
    private Button toHistoryButton;
    private Button toEWButton;
    private Button toAboutButton;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ic_launch);//设置log页面展示

        Handler handler = new Handler();
        handler.postDelayed(new Runnable() {
            @Override
            public void run() {
                setContentView(R.layout.activity_main);//主页

                ToIdentifyButton = findViewById(R.id.ToIdentifyButton);
                ToIdentifyButton.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        Intent intent = new Intent(MainActivity .this, Identify.class);
                        startActivity(intent);
                    }
                });

                toHistoryButton = findViewById(R.id.toHistoryButton);
                toHistoryButton.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        Intent intent = new Intent(MainActivity .this, History.class);
                        startActivity(intent);
                    }
                });

                toEWButton = findViewById(R.id.toEWButton);
                toEWButton.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        Intent intent = new Intent(MainActivity .this, Eatwhat.class);
                        startActivity(intent);
                    }
                });

                toAboutButton = findViewById(R.id.toAboutButton);
                toAboutButton.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        Intent intent = new Intent(MainActivity .this, About.class);
                        startActivity(intent);
                    }
                });
            }
        }, 1000); // 等待1000毫秒，即1秒
    }
}